Bug 146970 - KDE displays the wrong timezone
KDE displays the wrong timezone
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 23:48 EST by Eli
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 20:04:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli 2005-02-02 23:48:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The clock in the task bar shows UTC.  This seems to occur after a
reboot, but I have not fully vetted that.

Adjust Date & Time, shows current timezone as UTC, America/Chicago.
Change to America/Chihuahua, click Apply,
shows current timezone as MST, America/Chihuahua
Change back to America/Chicago, click Apply,
shows current timezone as CST, America/Chicago. (And its little clock
shows the right time, though the clock in the task bar hasn't changed.)
click OK to exit.

The clock in the task bar is still showing UTC.
The above process can be repeated over and over again.


Version-Release number of selected component (if applicable):
kdebase-3.3.1-4.3.FC3

How reproducible:
Sometimes

Steps to Reproduce:
1.  Try to set the timezone for the KDE clock
2.
3.
    

Actual Results:  The timezone does not change.

Expected Results:  The timezone should change.

Additional info:
Comment 1 Eli 2005-02-04 20:17:12 EST
There may be a clue as to what is going on here:
# cat /etc/timezone; echo; date
America/Chicago
Sat Feb  5 01:09:43 UTC 2005

# hwclock --show
Sat 05 Feb 2005 06:10:41 PM UTC  -0.804128 seconds

My watch says 7:11pm Feb 4, 2005.

[root@pegasus etc]# hwclock --show --localtime
Sat 05 Feb 2005 06:12:21 PM UTC  -0.167392 seconds
[root@pegasus etc]# hwclock --show --utc
Sat 05 Feb 2005 06:12:28 PM UTC  -0.381786 seconds

# ls -l /etc/localtime
ls: /etc/localtime: No such file or directory
# ln -s /usr/share/zoneinfo/America/Chicago /etc/localtime
# date
Fri Feb  4 19:15:10 CST 2005
# rpm -qf /etc/localtime
glibc-2.3.4-2.fc3

So why did /etc/localtime disappear?  And why didn't the system fix that?
Comment 2 Eli 2005-02-04 20:20:09 EST
After making the /etc/localtime link, I logged out and back in.  The
timezone is now correct.  But why didn't the KDE clock utility fix the
problem?
Comment 3 Matthew Miller 2006-07-10 16:32:03 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Eli 2007-01-10 20:04:30 EST
I haven't had this problem in a long time; and I have upgraded to FC6.  Closing.

Note You need to log in before you can comment on or make changes to this bug.